<?php get_header(); ?>

	<div id="primary" class="single-post">
	<div class="inside">
		<div class="primary">
			<?php
if(get_query_var('author_name')) :
$curauth = get_userdatabylogin(get_query_var('author_name'));
else :
$curauth = get_userdata(get_query_var('author'));
endif;
?>

			<h1>About: <?php echo $curauth->nickname; ?></h1>
<dl>
<dt>Full Name</dt>
<dd><?php echo $curauth->first_name. ' ' . $curauth->last_name ;?></dd>
<dt>Website</dt>
<dd><a href="<?php echo $curauth->user_url; ?>"><?php echo $curauth->user_url; ?></a></dd>
<dt>Details</dt>
<dd><?php echo $curauth->description; ?></dd>
</dl>
		<?php if (have_posts()) : ?>
			<h1>Posts by <?php echo $curauth->nickname; ?></h1>
	
		 <ul class="dates">
		 	<?php while (have_posts()) : the_post(); ?>
			<li><span class="date"><?php the_time('M d Y') ?></span> <a href="<?php the_permalink() ?>"><?php the_title(); ?></a> posted in <?php the_category(', ') ?></li>
		
			<?php endwhile; ?>
		</ul>
		
		<div class="navigation">
			<div class="left"><?php next_posts_link('&laquo; Previous Entries') ?></div>
			<div class="right"><?php previous_posts_link('Next Entries &raquo;') ?></div>
		</div>

	
	<?php else : ?>

		<h1>Not Found</h1>

	<?php endif; ?>
		
	</div>
	
	<div class="secondary">
		<h2>About the archives</h2>
		<div class="featured">
			<p>Welcome to the archives here at <?php bloginfo('name'); ?>. Have a look around.</p>
			
		</div>
	</div>
	<div class="clear"></div>
	</div>
	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>